package domain


type AlibabaWdkSkuCategoryUpdateCategoryDo struct {
    /*
        类目编码     */
    Code  *string `json:"code,omitempty" `

    /*
        类目名称     */
    Name  *string `json:"name,omitempty" `

    /*
        状态（0:正常;1:禁用，禁用后已有的商品不影响，不能新建新商品）     */
    Status  *int64 `json:"status,omitempty" `

}

func (s *AlibabaWdkSkuCategoryUpdateCategoryDo) SetCode(v string) *AlibabaWdkSkuCategoryUpdateCategoryDo {
    s.Code = &v
    return s
}
func (s *AlibabaWdkSkuCategoryUpdateCategoryDo) SetName(v string) *AlibabaWdkSkuCategoryUpdateCategoryDo {
    s.Name = &v
    return s
}
func (s *AlibabaWdkSkuCategoryUpdateCategoryDo) SetStatus(v int64) *AlibabaWdkSkuCategoryUpdateCategoryDo {
    s.Status = &v
    return s
}
